Contents

TopSpeed Database Scanner

 Top Next

The TopSpeed Database Scanner Utility (TopScan) allows you to view and edit TopSpeed data files. It is primarily designed to give you access to these files outside of a normal application. It also includes many other powerful features, including mass updates, detailed file analysis, and a variety of viewing options.

The TopScan program (TOPSCAN.EXE) can be found in the BIN directory. The Clarion install program creates a menu item to TopScan by default in the Clarion program group. By default, the install program also creates an association to all files with an extension of .TPS, and a DOUBLE-CLICK on these files will automatically load them into TopScan.

The TopScan executable requires the following files for distribution:

TOPSCAN.EXE
CLAASC.DLL
CLARUN.DLL
CLATPS.DLL
TOPSCAN.CHM

TopScan can be freely distributed by registered Clarion owners for use with their developed applications. It is not freeware or shareware and any other distribution is prohibited.

Toolbar Buttons

Opens a list containing all your recently opened Topspeed database files.

Opens a Topspeed database file. If the file is password protected, you are prompted to enter the password.

Select this option to save any changes you have made to the data. This is only available when the data has changed since it was last saved.

Adds a new record to the data file and places you in edit mode to enter data in the fields for that record.

Places you in edit mode for the current record allowing you to modify data in the fields for that record.

Deletes the current record from the data file.

Moves the current column to the left.

Allows you to specify the spacing, justification, heading and picture of the current selected column.

Moves the selected column to the right.

Opens the Text Tool to allow editing in a text control.

Opens the HEX tool to allow editng of the current column in hexadecimal format.

Opens the Picture tool to allow viewing of images stored within the current column (BLOB or MEMO,BINARY)

See Also:

Menu Commands


Menu Commands

TopScan Menu Commands

 Top Previous Next

File

Open TopScan is only compatible with TopSpeed data files. You may select a single file for viewing and processing here. If the file is password protected, you will be asked to enter the appropriate password prior to loading the file.

If the file you have opened contains multiple tables in a single file, the Sub file drop list will become active, allowing you to select between each table. A TopSpeed file containing a single table will cause the Sub file option to hide during your session.

Save Select this option to save the data file's current state.

Save As Use this option to write the current data file to a different filename. This is a good technique to use when you want to back up your work.

Close Close the current TopSpeed file. If you have made any changes to the active TopSpeed file's data, you are prompted to save your changes. If you do not save your changes, the file's data is rolled back to its original state (or the state of your last save).

Mass Update... Allows any field to be updated throughout the entire file. You may type in an expression or value to replace the current value (Before), or choose the drop list to activate an expression generator.

File Layout... Provides an ASCII representation of the TopSpeed file structure. You can print the file structure, or save it to an external text file.

File Analysis... Displays detailed information of your TopSpeed file's statistics, to include path, password, size and time. Provides record information to include record size and number of fields. Key information shows the key's label and number of records referenced by each key. For TopSpeed files containing multiple tables, information for each individual table is also displayed here.

Export... Opens a dialog that lets you specify settings for exporting the database to an ASCII file.

Reset [image] Default Restores column widths of the field display window to default settings, which is relative to the size of the field labels. . Also restores the number of displayed column headings, default pictures, and data widths.

Reset [image] From TXD Allows you to load a TXD representation of your active TopSpeed file. This feature gives the user the advantage of importing custom picture information to provide a better visual view of the data displayed. Also extracts heading titles, key labels, and other identifiers stored in the Clarion data dictionary.

Advanced [image] Load Environment File
If you are using an environment (.ENV) file with your TopSpeed data file, you may import environment settings which can affect how your data is sorted and displayed.

Advanced [image] OEM Conversion
Toggle this menu item to allow data read by TopScan to be sorted by an ASCII collating sequence instead of the ANSI standard.

Advanced [image] Rebuild All Keys
Rebuilds all keys of the active TopSpeed file.

Edit

Cut/Copy/Paste Highlighted (selected) data can be copied or removed from one location to another using the standard Windows edit features. This is only available when in edit mode.

You can add (Insert Record), modify (Change Record), or remove (Delete Record) any selected TopSpeed record.

Find/Replace The find/replace option will search the (selected) column, and optionally do a replace of the value specified.

Find Next This finds the next matching record based on the criteria specified.

Refresh TopScan can share a file used in network applications. The refresh option gives the TopScan user the ability to refresh the display window with the latest updated data.

View

Show Text Some files contain fields that are too large to view in the List control. The Text view allows you to see the data while browsing through the list box.

Show Hex The Hex view allows you to see the data in hexadecimal format while browsing through the list box.

Show Picture The Picture view supports BLOB and MEMO fields containing binary data in a supported graphics format. The drop down list only allows these type of fields to be selected.

Column

Show/Hide Allows the user to select and order which fields will be displayed in the main display window. This allows you to select a subset of important fields in a large file. This mode can also be activated by DOUBLE-CLICKing the last (blank) column.

Format Controls the spacing, justification, heading and picture of the current highlighted column.

Shift Left Moves the highlighted column to the left.

Shift Right Moves the highlighted column to the right.

Autofit and Autofit All will resize the selected columns to size of the largest displayed data. This can also be activated by DOUBLE-CLICKing on the column resize line.

All column settings are saved automatically by TopScan. The next time you load the appropriate file, your column changes from the last session will be restored. The information for this file is stored in the file's folder location using the syntax of filename.SCN, where filename is the name of the TopSpeed data file less its file extension (if any).

Navigation

UP ARROW and DOWN ARROW keys allow you to scroll up and down the records list.

RIGHT ARROW and LEFT ARROW keys allow you to move from column to column (except while in edit mode).

HOME moves the selection to the first column.

END moves the selection to the last column.

CTRL+ PAGE UP scrolls to the first row in the file.

CTRL+ PAGE DOWN scrolls to the last row in the file.

CTRL + HOME moves the selection to the first column in the first row in the file.

CTRL + END moves the selection to the last column in the last row in the file.

CTRL + UP ARROW and CTRL + DOWN ARROW keys allow you to scroll up and down the records list while maintaining the currently selected record.

TAB and SHIFT-TAB allow you to move from field to field while in edit mode.

DOUBLE-CLICK activates edit mode on a field.


About TopScan

version: 9.1.11014


Pick TopSpeed File

The Pick dialog lists all the most recently used files in a list box

The Pick dialog provides the following buttons:

Select Opens the currently selected file.
Remove Removes the currently selected file from the Pick list. This does not delete the file from disk.
Open Lets you open a file not on the Pick list.
Cancel Closes the Pick list without opening a file.


Format Database Column

This dialog allows you to format the display of the current column.

Field Displays the current field.
Width Specifies the width of the column. Optionally, press the Set Standard Spacing to automatically set the width based on the field's size.

Data Format

Heading Specifies the heading to display for the column. Press any of the three buttons to the right to set the heading's justification to Left, Center, or Right.
Indent Use this spin box to increase or decrease the amount of indentation for the header.

Data Format

Picture Specifies the display picture token to use for the column. Press any of the three buttons to the right to set the heading's justification to Left, Center, or Right.
Indent Use this spin box to increase or decrease the amount of indentation for the data displayed.
More Test Records Displays another page or records from the file allowing you to determine if the specified format is exactly what you want for the data.
OK Closes the dialog and applies the specified format.
Cancel Closes the dialog without applying any changes.


Picture Tokens

Picture tokens provide a masking format for displaying and editing variables. There are seven types of picture tokens: numeric and currency, scientific notation, string, date, time, pattern, and key-in template.

Numeric and Currency Pictures

Scientific Notation Pictures

String Pictures

Date Pictures

Time Pictures

Pattern Pictures

Key-in Template Pictures


Numeric and Currency Pictures

@N [currency] [sign] [fill] size [grouping] [places] [sign] [currency] [B]

@N All numeric and currency pictures begin with @N.
currency Either a dollar sign ($) or any string constant enclosed in tildes (~). When it precedes the sign indicator and there is no fill indicator, the currency symbol "floats" to the left of the high order digit. If there is a fill indicator, the currency symbol remains fixed in the left-most position. If the currency indicator follows the size and grouping, it appears at the end of the number displayed.
sign Specifies the display format for negative numbers. If a hyphen ( - ) precedes the fill and size indicators, negative numbers will display with a leading minus sign. If a hyphen follows the size, places, and currency indicators, negative numbers will display with a trailing minus sign. If parentheses are placed in both positions, negative numbers will be displayed enclosed in parentheses. To prevent ambiguity, a trailing minus sign should always have grouping specified.
fill Specifies leading zeros, spaces, or asterisks (*) in any leading zero positions, and suppressesdefault grouping. If the fill is omitted, leading zeros are suppressed.

0 (zero) Produces leading zeroes
_ (underscore) Produces leading spaces
* (asterisk) Produces leading asterisks

size The size is required to specify the total number of significant digits to display, including the number of digits in the places indicator and any formatting characters.
grouping A grouping symbol, other than a comma (the default), can appear right of the size indicator to specify a three digit group separator. To prevent ambiguity, a hyphen grouping indicator should also specify the sign.
. (period) Produces periods
- (hyphen) Produces hyphens
_ (underscore) Produces spaces
places Specifies the decimal separator symbol and the number of decimal digits. The number of decimal digits must be less than the size. The decimal separator may be a period (.), grave accent (' ) (produces periods grouping unless overridden), or the letter "v" (used only for STRING field storage declarations--not for display).
. (period) Produces a period
` (grave accent) Produces a comma
v Produces no decimal separator
B Specifies blank display whenever its value is zero.

The numeric and currency pictures format numeric values for screen display or in reports. If the value is greater than the maximum value the picture can display, a string of pound signs (#) is displayed.

Example:

Numeric Result     Format

@N9      4,550,000  Nine digits, group with commas (default)

@N_9B    4550000    Nine digits, no grouping, leading blanks if zero

@N09     004550000  Nine digits, leading zero

@N*9     ***45,000  Nine digits, asterisk fill, group with commas

@N9_     4 550 000  Nine digits, group with spaces

@N9.     4.550.000  Nine digits, group with periods

Decimal Result     Format

@N9.2    4,550.75   Two decimal places, period decimal separator

@N_9.2B  4550.75    Two decimal places, period decimal separator, no grouping, blank if zero

@N_9`2   4550,75    Two decimal places, comma decimal separator

@N9.`2   4.550,75   Comma decimal separator, group with periods

@N9_`2   4 550,75   Comma decimal separator, group with spaces

Signed   Result     Format

@N-9.2B  -2,347.25  Leading minus sign, blank if zero

@N9.2-   2,347.25-  Trailing minus sign

@N(10.2) (2,347.25) Enclosed in parens when negative

Dollar

Currency   Result     Format

@N$9.2B    $2,347.25   Leading dollar sign, blank if zero

@N$10.2-   $2,347.25-  Leading dollar sign, trailing minus when negative

@N$(11.2)  $(2,347.25) Leading dollar sign, in parens when negative

International

Currency     Result       Format

@N12_`2~ F~   1 5430,50 F   France

@N~L. ~12`    L. 1.430.050  Italy

@N~£~12.2     £1,240.50     United Kingdom

@N~kr~12`2    kr1.430,50    Norway

@N~DM~12`2    DM1.430,50    Germany

@N12_`2~ mk~  1 430,50 mk   Finland

@N12`2~ kr~   1.430,50 kr   Sweden

Storage-Only Pictures:

Variable1 STRING(@N_6v2)           !Declare as 6 bytes stored without decimal

CODE

Variable1 = 1234.56               !Assign value, stores '123456' in file

MESSAGE(FORMAT(Variable1,@N_7.2)) !Display with decimal point: '1234.56'


Scientific Notation Pictures

@Emsn[B]

@E All scientific notation pictures begin with @E.
m Determines the total number of characters in the format provided by the picture.
s Specifies the decimal separation character, and the grouping character when the n value is greater than 3.
. (period) period and comma
.. (period period) period and period
' (grave accent) comma and period
_.(underscore period) period and space
n Indicates the number of digits that appear to the left of the decimal point.
B Specifies that the format displays as blank when the value is zero.

The scientific notation picture formats very large or very small numbers. The format is a decimal number raised by a power of ten.

Example:

Picture         Value           Result

@E9.0       1,967,865          .20e+007

@E12.1      1,967,865       1.9679e+006

@E12.1B             0

@E12.1     -1,967,865      -1.9679e+006

@E12.1     .000000032       3.2000e-008

@E12_.4     1,967,865    1 967.865e+003


String Pictures

@Slength

@S All string pictures begin with @S.
length Determines the number of characters in the picture format.

A string picture describes an unformatted string of a specific length.

Example:

Name STRING(@S20)   !A 20 character string field


Date Pictures

@Dn [s] [direction [range] ] [B]

@D All date pictures begin with @D.
n Determines the date picture format. Date picture formats range from 1 through 18. A leading zero (0) indicates a zero-filled day or month.
s A separation character between the month, day, and year components. If omitted, the slash ( / ) appears.
. (period) Produces periods
` (grave accent) Produces commas
- (hyphen) Produces hyphens
_ (underscore) Produces spaces
direction A right or left angle bracket (> or <) that specifies the "Intellidate" direction (> indicates future, < indicates past) for the range parameter. Valid only on ENTRY date pictures with two-digit years.
range An integer constant in the range of zero (0) to ninety-nine (99) that specifies the "Intellidate" century for the direction parameter. Valid only on ENTRY date pictures with two-digit years. If omitted, the default value is 80.
B Specifies that the format displays as blank when the value is zero.

Dates may be stored in numeric variables (usually LONG), a DATE field (for Btrieve compatibility), or in a STRING declared with a date picture. A date stored in a numeric variable is called a "Clarion Standard Date." The stored value is the number of days since December 28, 1800. The date picture token converts the value into one of the date formats.

The century for dates in any picture with a two-digit year is resolved using "Intellidate" logic. Date pictures that do not specify direction and range parameters assume the date falls in the range of the next 19 or previous 80 years. The direction and range parameters allow you to change this default. The direction parameter specifies whether the range specifies the future or past value. The opposite direction then receives the opposite value (100-range) so that any two-digit year results in the correct century.

For example, the picture @D1>60 specifies using the appropriate century for each year 60 years in the future and 39 years in the past. If the current year is 1996, when the user enters "5/01/40," the date is in the year 2040, and when the user enters "5/01/60," the date is in the year 1960.

For those date pictures which contain month names, the actual names are customizable in an Environment file (.ENV). See the Internationalization section for more information.

Example:

Picture Format               Result

@D1      mm/dd/yy             10/31/59

@D1>40   mm/dd/yy             10/31/59

@D01     mm/dd/yy             01/01/95

@D2      mm/dd/yyyy           10/31/1959

@D3      mmm dd,yyyy          OCT 31,1959

@D4      mmmmmmmmm dd, yyyy   October 31, 1959

@D5      dd/mm/yy             31/10/59

@D6      dd/mm/yyyy           31/10/1959

@D7      dd mmm yy            31 OCT 59

@D8      dd mmm yyyy          31 OCT 1959

@D9      yy/mm/dd             59/10/31

@D10     yyyy/mm/dd           1959/10/31

@D11     yymmdd               591031

@D12     yyyymmdd             19591031

@D13     mm/yy                10/59

@D14     mm/yyyy              10/1959

@D15     yy/mm                59/10

@D16     yyyy/mm              1959/10

@D17                          Windows Control Panel setting for Short Date

@D18                          Windows Control Panel setting for Long Date

 Alternate separators

@D1.     mm.dd.yy             Period separator

@D2-     mm-dd-yyyy           Dash separator

@D5_     dd mm yy             Underscore produces space separator

@D6`     dd,mm,yyyy           Grave accent produces comma separator


Time Pictures

@Tn[s][B]

@T All time pictures begin with @T.
n Determines the time picture format. Time picture formats range from 1 through 8. A leading zero (0) indicates zero-filled hours.
s A separation character. By default, colon ( : ) characters appear between the hour, minute, and second components of certain time picture formats. The following s indicators provide an alternate separation character for these formats.
. (period) Produces periods
' (grave accent) Produces commas
- (hyphen) Produces hyphens
_ (underscore) Produces spaces
B Specifies that the format displays as blank when the value is zero.

Times may be stored in a numeric variable (usually a LONG), a TIME field (for Btrieve compatibility), or in a STRING declared with a time picture. A time stored in a numeric variable is called a "Standard Time." The stored value is the number of hundredths of a second since midnight. The picture token converts the value to one of the eight time formats.

For those time pictures which contain string data, the actual strings are customizable in an Environment file (.ENV). See the Internationalization section for more information.

Example:

Picture   Format       Result

@T1       hh:mm        17:30

@T2       hhmm         1730

@T3       hh:mmXM      5:30PM

@T03      hh:mmXM      05:30PM

@T4       hh:mm:ss     17:30:00

@T5       hhmmss       173000

@T6       hh:mm:ssXM   5:30:00PM

@T7                    Windows Control Panel setting for Short Time

@T8                    Windows Control Panel setting for Long Time

 Alternate separators

@T1.      hh.mm        Period separator

@T1-      hh-mm        Dash separator

@T3_      hh mmXM      Underscore produces space separator

@T4'      hh,mm,ss     Grave accent produces comma separator


Pattern Pictures

@P[<][#][x]P[B]

@P All pattern pictures begin with the @P delimiter and end with the P delimiter. The case of the delimiters must be the same.
< Specifies an integer position that is blank for leading zeroes.
# Specifies an integer position.
x Represents optional display characters. These characters appear in the final result string.
P All pattern pictures must end with P. If a lower case @p delimiter is used, the ending P delimiter must also be lower case.
B Specifies that the format displays as blank when the value is zero.

Pattern pictures contain optional integer positions and optional edit characters. Any character other than < or # is considered an edit character which will appear in the formatted picture string. The @P and P delimiters are case sensitive. Therefore, an upper case "P" can be included as an edit character if the delimiters are both lower case "p" and vice versa.

Pattern pictures do not recognize decimal points, in order to permit the period to be used as an edit character. Therefore, the value formatted by a pattern picture should be an integer. If a floating point value is formatted by a pattern picture, only the integer portion of the number will appear in the result.

Example:

Picture           Value       Result

@P###-##-####P    215846377    215-84-6377

@P<#/##/##P       103159       10/31/59

@P(###)###-####P  3057854555   (305)785-4555

@P###/###-####P   7854555      000/785-4555

@p<#:##PMp        530          5:30PM

@P<#' <#"P        506          5' 6"

@P<#lb. <#oz.P    902          9lb. 2oz.

@P4##A-#P         112          411A-2

@PA##.C#P         312.45       A31.C2


Key-in Template Pictures

@K[@][#][<][x][\][?][^][_][|]K[B]

@K All key-in template pictures begin with the @K delimiter and end with the K delimiter. The case of the delimiters must be the same.
@ Specifies only uppercase and lowercase alphabetic characters.
# Specifies an integer 0 through 9.
< Specifies an integer that is blank for high order zeros.
x Represents optional constant display characters (any displayable character). These characters appear in the final result string.
\ Indicates the following character is a display character. This allows you to include any of the picture formatting characters (@,#,<,\,?,^,_,|) within the string as a display character.
? Specifies any character may be placed in this position.
^ Specifies only uppercase alphabetic characters in this position.
_ Underscore specifies only lowercase alphabetic characters in this position.
| Allows the user to "stop here" if there are no more characters to input. Only the data entered and any display characters up to that point will be in the string result.
K All key-in template pictures must end with K. If a lower case @k delimiter is used, the ending K delimiter must also be lower case.
B Specifies that the format displays as blank when the value is zero.

Key-in pictures may contain integer positions ( # < ), alphabet character positions ( @ ^ _ ), any character positions ( ? ), and display characters. Any character other than a formatting indicator is considered a display character, which appears in the formatted picture string. The @K and K delimiters are case sensitive. Therefore, an upper case "K" may be included as a display character if the delimiters are both lower case "k" and vice versa.

Key-in pictures are used specifically with STRING, PSTRING, and CSTRING fields to allow custom field editing control and validation. Using a key-in picture containing any of the alphabet indicators ( @ ^ _ ) on a numeric entry field produces unpredictable results.

Using the Insert typing mode for a key-in picture could produce unpredictable results. Therefore, key-in pictures always receive data entry in Overwrite mode, even if the INS attribute is present.

Example:

Picture           Value Entered   Result String

@K###-##-####K      215846377       215-84-6377

@K#####|-####K      33064           33064

@K#####|-####K      330643597       33064-3597

@K<# ^^^ ##K        10AUG59         10 AUG 59

@K(###)@@@-##\@##K  305abc4555      (305)abc-45@55

@K###/?##-####K     7854555         000/785-4555

@k<#:##^Mk          530P            5:30PM

@K<#' <#"K          506             5' 6"

@K4#_#A-#K          1g12            41g1A-2


Display File Layout

Provides an ASCII representation of the TopSpeed file structure in Clarion source code.

Print Prints the file layout
Save Allows you to save the file layout to a text file.
Copy Copies the listed file structure to the Windows Clipboard.


Analyze TopSpeed Database

This dialog displays detailed information of your TopSpeed file's statistics, to include path, password, size and time.

It also provides record information to include record size and number of fields. Key information shows the key's label and number of records referenced by each key. For TopSpeed files containing multiple tables, information for each individual table is also displayed here.


Export to ASCII File

This dialog provides a simple interface to allow you to export the contents of the current TopSpeed table to a delimited ASCII file format.

Export File

Specify an output name here. You can also use the ellipsis button to select a file from the standard File Dialog.

Delimiter

You can specify how you want to delimit each exported column. Select from:

Tab (the default)

Character (enter a valid ASCII character in the prompt provided)

ASCII Value (enter a valid ASCII code in the spin box provided)

Quote Strings

Check this box to add quotation marks around each exported string column.

Expand Arrays

If your TopSpeed table contains arrays, check this box to allow each array element to be exported as a separate column. If left off, only the first element of the array will be exported.

Create Titles

Check this box to export the column names as the first exported row.

Export this range of records

Check this box to enable the following record number prompts.

Starting/Ending Record number

This export option allows you to export a subset of the TopSpeed table. Enter a valid starting and ending record number range here.

Note: As you enter a valid record range and then press TAB the sample data in the list box below is updated to reflect the range

Display Sample Data

The list box shown at the bottom of this dialog give you a real time indication of how your data will look when exported, based on the active settings above. Press this button to display the sample data.


Show/Hide

Use this dialog to specify which columns to display and the order of the columns displayed.

This mode can also be activated by DOUBLE-CLICKing the last (blank) column.

Field List Check the boxes next to each field to display in the list.
Up & Down buttons Use these buttons to move a field up or down in the list. This determines the column order.
Select All Specifies that all fields should display in the list.
Clear All Specifies that no fields should display in the list.
OK Closes the dialog and applies the specified display.
Cancel Closes the dialog without applying any changes.


Expression

This dialog allows you to construct an expression.

Double-click on an item in any of the three columns to add it to the expression. The current expression is displayed below.

At the bottom of the dialog an indicator displays a Green check mark or a red X. This indicates whether the current expression is valid or not.


Dynamic index query

The active file must have a dynamic index defined in order to use this feature.

Select the dynamic index by CLICKing on the tab indicating the index. This enables the Query Index... menu option:

The dynamic index query window allows you to select the components of your dynamic index to be built.

The check box when CLICKed toggles from blank (no sort) to + (ascending) to - (descending), indicating the field and sort sequence.

Use the buttons on the right to "Move Up" or "Move Down" the fields' sort order.

A filter is also available to limit the records displayed by the dynamic index. You can type in your filter expression or press the ellipsis button to call the expression generator.

OK Builds the dynamic index.
Cancel Closes the dialog without building the dynamic index.


Mass update

This window allows any field to be updated throughout the entire file. You may type in an expression or value to replace the current value (Before), or choose the drop list to activate an expression generator.

The list displays columns showing the Fieldnames, expressions, and Before and After values.

In addition a column displays a Green check mark or a red X. This indicates whether the expression is valid or not.

The Record spin box allows you to cycle through records and see the values before and after the proposed update (No updates are made until you press the Apply button).

Apply Implements the mass update as specified.
Exit Closes the Mass Update window without making any changes to the data.


Mass update progress

This window displays the progress of your mass update.

The Break button allows you to stop an update in progress and not complete any changes not yet made.


Analyze File

This dialog displays detailed information of your TopSpeed file's statistics, including path, password, size and time and provides record information including record size and number of fields. Key information shows the key's label and number of records referenced by each key. For TopSpeed files containing multiple tables, information for each individual table is also displayed here.


Password Dialog

Provide the password (Owner name attribute) for the TopSpeed database file.

Optionally, check the Save Password box to save the password in your TopScan.INI file. If you save the password, you will be able to open the file later without being prompted for a password.

If you open a file by selecting from the file dialog, you will ALWAYS be prompted for a password. The function of the Save Password box is to load items in the TopScan history list (in the File menu) without prompting you for a password. If the Save Password check box is off, items in the history list that have the Owner attribute set will prompt you for a password when you select them.


Select TXD file

This dialog allows you to select the TXD representation of your active TopSpeed file. This feature gives the user the advantage of importing custom picture information to provide a better visual view of the data displayed. This also extracts heading titles, key labels, and other identifiers stored in the Clarion data dictionary.


Search/Replace within Column

This dialog allows you to search and replace values within the current column. This searches forward from the current record.

Find What Specify the value to find.
Replace With Optionally, specify the value to replace.
Find Next Searches forward to the next matching value. If no matching value is found a message displays.
Replace Replaces the matching value found with the value specified in the Replace With field.
Replace All Replaces all matching values found with the value specified in the Replace With field.
Match Whole Column Limits the search to Whole cell values.

Match anywhere in Column
Allows values which are substrings of a record's column to be found.

Match Wildcards Specify the value to find can include wildcards.
Case Sensitive Check this box to limit you search to exact matches of upper or lower case characters.


Text Tool

The Text Tool opens a dialog to allow you to edit the text of the current column.


HEX Tool

The Hex tool opens a dialog that allows you to edit the current column in hexadecimal format.


Picture Tool

The Picture tool allows you to view images stored within the Topspeed database (in either a BLOB or Binary MEMO field)


Rebuild keys

 Top Previous

This dialog shows the progress of keys being rebuilt.